Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class NewPresentationParams

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.streaming.NewPresentationParams

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class NewPresentationParams
extends QTPointerRef

This class is used to specify paramters for the creation of a Presentation object

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`NewPresentationParams(int dataType, QTPointer data, EditList list)` Create a NewPresentationParams object

Method Summary
`QTPointer` | `getData()` Gets the presentation data
`int` | `getDataType()` Gets the type of the presentation data
`EditList` | `getEditList()` Gets the presentation's edit list parameter
`int` | `getFlags()` Gets the presentation flags
`int` | `getTimeScale()` Gets the time scale of the presentation params
`void` | `setData(QTPointer data)` Sets the presentation data
`void` | `setDataType(int dataType)` Sets the data type of the params
`void` | `setFlags(int flags)` Sets the flags of the presentation
`void` | `setMediaParams(MediaParams mp)` Associates a MediaParams object with the presentation
`void` | `setNotificationProc(StreamNotifyProc proc)`
`void` | `setTimeScale(int timeScale)` Sets the time scale of the presentation
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### NewPresentationParams

    public NewPresentationParams(int dataType,
                                 QTPointer data,
                                 EditList list)
                          throws QTException

  Create a NewPresentationParams object
  Parameters:
    `dataType` - the type of the data to be used by the presenter
    `data` - data
    `list` - a handle containing a list of edit items

Method Detail

### setDataType

    public void setDataType(int dataType)

  Sets the data type of the params
  Parameters:
    `dataType` - data type

### getDataType

    public int getDataType()

  Gets the type of the presentation data

### setData

    public void setData(QTPointer data)

  Sets the presentation data
  Parameters:
    `data` - presentation data

### getData

    public QTPointer getData()

  Gets the presentation data

### getEditList

    public EditList getEditList()

  Gets the presentation's edit list parameter

### setFlags

    public void setFlags(int flags)

  Sets the flags of the presentation
  Parameters:
    `flags` - presentation flags

### getFlags

    public int getFlags()

  Gets the presentation flags

### setTimeScale

    public void setTimeScale(int timeScale)

  Sets the time scale of the presentation
  Parameters:
    `timeScale` - time scale

### getTimeScale

    public int getTimeScale()

  Gets the time scale of the presentation params

### setMediaParams

    public void setMediaParams(MediaParams mp)

  Associates a MediaParams object with the presentation
  Parameters:
    `mp` - MediaParams

### setNotificationProc

    public void setNotificationProc(StreamNotifyProc proc)

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTPointerRef`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD